libzypp: zypp::internal::ProgressTracker Struct Reference

libzypp 17.38.5

zypp::internal::ProgressTracker Struct Reference

`#include <zypp/media/detail/DownloadProgressTracker.h>`

## Public Types
using | clock = std::chrono::steady_clock

## Public Member Functions
void | updateStats (double dltotal=0.0, double dlnow=0.0)

## Public Attributes
std::optional< clock::time_point > | _timeStart
| Start total stats.
std::optional< clock::time_point > | _timeLast
| Start last period(~1sec).
double | _dnlTotal = 0.0
| Bytes to download or 0 if unknown.
double | _dnlLast = 0.0
| Bytes downloaded at period start.
double | _dnlNow = 0.0
| Bytes downloaded now.
int | _dnlPercent = 0
| Percent completed or 0 if _dnlTotal is unknown.
double | _drateTotal = 0.0
| Download rate so far.
double | _drateLast = 0.0
| Download rate in last period.

## Detailed Description

Definition at line 17 of file DownloadProgressTracker.h.

## Member Typedef Documentation

## ◆ clock

using zypp::internal::ProgressTracker::clock = std::chrono::steady_clock

Definition at line 19 of file DownloadProgressTracker.h.

## Member Function Documentation

## ◆ updateStats()

void zypp::internal::ProgressTracker::updateStats | ( | double | dltotal = 0.0,
|  | double | dlnow = 0.0 )

Definition at line 15 of file DownloadProgressTracker.cc.

## Member Data Documentation

## ◆ _timeStart

std::optional<clock::time_point> zypp::internal::ProgressTracker::_timeStart

Start total stats.

Definition at line 21 of file DownloadProgressTracker.h.

## ◆ _timeLast

std::optional<clock::time_point> zypp::internal::ProgressTracker::_timeLast

Start last period(~1sec).

Definition at line 22 of file DownloadProgressTracker.h.

## ◆ _dnlTotal

double zypp::internal::ProgressTracker::_dnlTotal = 0.0

Bytes to download or 0 if unknown.

Definition at line 24 of file DownloadProgressTracker.h.

## ◆ _dnlLast

double zypp::internal::ProgressTracker::_dnlLast = 0.0

Bytes downloaded at period start.

Definition at line 25 of file DownloadProgressTracker.h.

## ◆ _dnlNow

double zypp::internal::ProgressTracker::_dnlNow = 0.0

Bytes downloaded now.

Definition at line 26 of file DownloadProgressTracker.h.

## ◆ _dnlPercent

int zypp::internal::ProgressTracker::_dnlPercent = 0

Percent completed or 0 if _dnlTotal is unknown.

Definition at line 28 of file DownloadProgressTracker.h.

## ◆ _drateTotal

double zypp::internal::ProgressTracker::_drateTotal = 0.0

Download rate so far.

Definition at line 30 of file DownloadProgressTracker.h.

## ◆ _drateLast

double zypp::internal::ProgressTracker::_drateLast = 0.0

Download rate in last period.

Definition at line 31 of file DownloadProgressTracker.h.

The documentation for this struct was generated from the following files:

- zypp/media/detail/DownloadProgressTracker.h
- zypp/media/detail/DownloadProgressTracker.cc